<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">
  <h4
    class="modal-title"
    id="modal-basic-title"
    [innerText]="currentAction | actionName">
  </h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>

<div class="modal-body p-4">
  <form
    class="ls-form"
    ngForm="mailForm"
    autocomplete="on"
    #mailForm>

    <div class="custom-control custom-checkbox mb-2">
      <input
        id="includeDocket"
        class="custom-control-input"
        type="checkbox"
        [(ngModel)]="includeDocket"
        [ngModelOptions]="{standalone: true}">
      <label
        class="custom-control-label"
        for="includeDocket"
        [innerText]="messages.INCLUDE_DOCKET">
      </label>
    </div>

    <div class="form-group">
      <label
        class="required"
        for="mailTo"
        [innerText]="messages.MAIL_TO_LABEL">
      </label>
      <app-input-chips
        id="mailTo"
        inputType="email"
        (valuesChange)="mailToList = $event">
      </app-input-chips>
    </div>

    <div class="form-group">
      <label
        for="mailCarbonCopy"
        [innerText]="messages.CARBON_COPY_LABEL">
      </label>
      <app-input-chips
        id="mailCarbonCopy"
        inputType="email"
        (valuesChange)="mailCarbonCopyList = $event">
      </app-input-chips>
    </div>

    <div class="form-group">
      <label
        for="mailBlindCarbonCopy"
        [innerText]="messages.BLIND_CARBON_COPY_LABEL">
      </label>
      <app-input-chips
        id="mailBlindCarbonCopy"
        inputType="email"
        (valuesChange)="mailBlindCarbonCopyList = $event">
      </app-input-chips>
    </div>

    <div class="form-group">
      <label
        class="required"
        for="mailObject"
        [innerText]="messages.MAIL_OBJECT_LABEL">
      </label>
      <input
        id="mailObject"
        [(ngModel)]="mailObject"
        class="form-control"
        type="text"
        required>
    </div>

    <div class="form-group">
      <label
        class="required"
        for="mailBody"
        [innerText]="messages.MAIL_BODY_LABEL">
      </label>
      <textarea
        id="mailBody"
        [(ngModel)]="mailBody"
        class="form-control"
        rows="8"
        required>
      </textarea>
    </div>
  </form>
  <app-metadata-form
    *ngIf="currentAction === actionEnum.SecureMail"
    [tenantId]="tenantId"
    [(folders)]="folders"
    [performedAction]="currentAction"
    [(validationMetadataFormValid)]="validationMetadataFormValid">
  </app-metadata-form>
</div>

<div class="modal-footer">
  <button
    ls-button-cancel
    (click)="activeModal.close(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
  <button
    ls-button
    [disabled]="!isFormValid(mailForm)"
    [processing]="isProcessing"
    [text]="currentAction | actionName: true"
    [icon]="currentAction | actionIcon"
    (click)="onSendButtonClicked()">
  </button>
</div>
